#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAC,0x46,0xE3,0xE6,0x92,0x71,0x2B,0xE9,0x05,0x42,0x39,0xCC,
		0x7C,0x40,0xE5,0xED,0xA1,0x11,0x6F,0xCF,0xF0,0x89,0x3F,0x01,
		0xF3,0x92,0x6A,0x0F,0x9C,0xC8,0xDA,0x9B,0xEF,0xDB,0x9E,0x4D,
		0x5B,0x67,0x37,0x13,0x55,0xAC,0xCC,0x40,0x44,0x20,0x9A,0x97,
		0x16,0x5D,0xCC,0x8D,0x74,0xFA,0x24,0x4C,0xFF,0xC8,0x30,0x18,
		0xAE,0xE7,0x87,0x23,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
